<?php
/*
Template Name: Home Page
 *
 * @package Wembley
 */ 
get_header(); ?>
		<?php
		$posts_page_id = get_option( 'page_for_posts');
		$posts_page = get_page( $posts_page_id);
		// load splash text
		$splash_title = wembley_get_field('splash_text', $posts_page);
        $featured_articles = wembley_get_field('show_featured_articles', $posts_page);
		// load splash image
		$splash_img = wembley_get_field('splash_image', $posts_page);
		?>
		
		 <?php if ( ! empty ( $splash_img ) ) { ?>
				<div id="main" role="main" class="intro-effect-push">
					<div class="jumbotron effect-layla intro-top-block win-min-height">
						<div class="bg-stretch">
							<img src="<?php echo esc_attr($splash_img); ?>" alt="">
						</div>
						<?php if ( !empty ($featured_articles)) { ?> 
							<div class="effect-box-holder wb-articles">
								<div class="effect-box-frame">
									<div class="effect-box wb-article-box">
										<div class="effect-content">
									
												<?php $post_objects = wembley_get_field('show_featured_articles', $posts_page);

												if( $post_objects ): ?>
												    <ul>
												    <?php foreach( $post_objects as $post_object): ?>
												        <li>
												            <h1><a href="<?php echo esc_url(get_permalink($post_object->ID)); ?>"><?php echo esc_attr(get_the_title($post_object->ID)); ?></a></h1>
															<?php if(wembley_get_field('page_subtitle', $post_object->ID)) { ?>
												            <h2><a href="<?php echo esc_url(get_permalink($post_object->ID)); ?>"><?php echo esc_attr(wembley_get_field('page_subtitle', $post_object->ID)); ?></a></h2>
															<?php } ?>
												        </li>
												    <?php endforeach; ?>
												    </ul>
												<?php endif; ?>
							         
										</div>
									</div>
								</div>
							</div>
							 <?php }
						elseif ( ! empty ( $splash_title ) ) { ?>
						<div class="effect-box-holder">
							<div class="effect-box-frame">
								<div class="effect-box">
									<div class="effect-content">
										<h1>
								            <?php echo esc_attr($splash_title); ?>
								          </h1>
									</div>
								</div>
							</div>
						</div>
						 <?php } ?>
						<a href="#" class="btn-next"><i class="fa fa-chevron-down"></i></a>
					</div>
				<?php }  else { ?>
		
		<div id="main" role="main">
			<?php }
			$page_for_posts = get_option( 'page_for_posts' );
			$header_image = wembley_get_field('header_image', $page_for_posts);
			$size = 'lv-jumbotron';
			 ?>
                  <div class="jumbotron alt" id="wb-top">
						<?php if ($header_image) { ?>
						<?php echo wp_get_attachment_image( $header_image, $size ); ?>
						<?php } elseif(get_header_image()) { ?>
	 			<img src="<?php header_image(); ?>" width="<?php echo esc_attr( get_custom_header()->width ); ?>" height="<?php echo esc_attr( get_custom_header()->height ); ?>" alt="">
				<?php } ?>
					<div class="jumbotron-holder">
								<?php if ( is_front_page() && is_home() ) { ?>
							<h1><?php _e('Latest Posts','branded'); ?></h1>
							 <?php	} elseif ( is_home() ) { ?>
								<h1><?php echo esc_attr(get_the_title( get_option( 'page_for_posts' ) )); ?></h1>
							  <?php
								
								 if (wembley_get_field('page_subtitle', $posts_page)): ?>
								<p><?php echo esc_attr(wembley_get_field('page_subtitle', $posts_page)); ?></p>
								<?php endif; ?>
							<?php	} ?>
						</div>
					</div>
			
		<?php $blog_style = get_theme_mod('blog_layout');
			?>
	<div class="container" id="pagenav">
		<?php if ( $blog_style == 'masonry_side' || $blog_style == 'masonry') {
			$wb_class = "masonry";
		} ?>
			<?php if ( $blog_style == 'masonry_side' || $blog_style == 'sidebar') {
				?>
		<section id="content">
			<div class="content-holder">
				<?php } ?>
			<?php if ( $blog_style == 'masonry_side' || $blog_style == 'masonry') { ?>	
		<section class=" <?php echo esc_attr($wb_class); ?> <?php echo esc_attr($blog_style); ?>" id="infinite">
<?php } else { ?>
	
	<section class="<?php echo esc_attr($blog_style); ?>" id="infinite">
	
	<?php }?>
		<?php if ( have_posts() ) : ?>

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); 
 ?>
				<?php
				 if ( $blog_style == 'masonry_side' || $blog_style == 'masonry') {
					get_template_part( 'content', 'masonry' );
					
				} else {
					get_template_part( 'content', '' );
				}?>
				
				<?php endwhile; ?>

			<?php wembley_paging_nav(); ?>

		<?php else : ?>

			<?php get_template_part( 'content', 'none' ); ?>

		<?php endif; ?>
	</section>
		<?php	 if ( $blog_style == 'masonry_side' || $blog_style == 'sidebar') {
			?>
</div>
			<?php get_sidebar(); } ?>
</div>
<?php get_footer(); ?>