<?php 
/**
 * @package Wembley
 */
// load splash text
$splash_title = wembley_get_field('splash_text' );

// load splash image
$splash_img = wembley_get_field('splash_image');
$featured_articles = wembley_get_field('show_featured_articles');
?>

 <?php if ( ! empty ( $splash_img ) ) { ?>
		<div id="main" role="main" class="intro-effect-push">
			<div class="jumbotron effect-layla intro-top-block win-min-height">
				<div class="bg-stretch">
					<img src="<?php echo esc_attr($splash_img); ?>" alt="">
				</div>
				<?php if ( !empty ($featured_articles)) { ?> 
					<div class="effect-box-holder wb-articles">
						<div class="effect-box-frame">
							<div class="effect-box wb-article-box">
								<div class="effect-content">
									
										<?php $post_objects = wembley_get_field('show_featured_articles');

										if( $post_objects ): ?>
										    <ul>
										    <?php foreach( $post_objects as $post_object): ?>
										        <li>
										            <h1><a href="<?php echo esc_url(get_permalink($post_object->ID)); ?>"><?php echo esc_attr(get_the_title($post_object->ID)); ?></a></h1>
													<?php if(wembley_get_field('page_subtitle', $post_object->ID)) { ?>
										            <h2><a href="<?php echo esc_url(get_permalink($post_object->ID)); ?>"><?php echo esc_attr(wembley_get_field('page_subtitle', $post_object->ID)); ?></a></h2>
													<?php } ?>
										        </li>
										    <?php endforeach; ?>
										    </ul>
										<?php endif; ?>
							         
								</div>
							</div>
						</div>
					</div>
					 <?php }
					 elseif ( ! empty ( $splash_title ) ) { ?>
				<div class="effect-box-holder">
					<div class="effect-box-frame">
						<div class="effect-box">
							<div class="effect-content">
								<h1>
						            <?php echo esc_attr(strip_tags($splash_title)); ?>
						          </h1>
							</div>
						</div>
					</div>
				</div>
				 <?php } ?>
				<a href="#" class="btn-next"><i class="fa fa-chevron-down"></i></a>
			</div>
		<?php }  else { ?>
		
    <div id="main" role="main">
	<?php } 
	$header_image = wembley_get_field('header_image');
	$size = 'lv-jumbotron'; 
	
	?>

      <div class="jumbotron alt" id="wb-top">
					<?php if (wembley_get_field('header_image')) { ?>
							<?php echo wp_get_attachment_image( $header_image, $size ); ?>
	 		<?php } elseif(get_header_image()) { ?>
	 			<img src="<?php header_image(); ?>" width="<?php echo esc_attr( get_custom_header()->width ); ?>" height="<?php echo esc_attr( get_custom_header()->height ); ?>" alt="">
				<?php } ?>
				<div class="jumbotron-holder">
					<h1><?php the_title(); ?></h1>
					<?php if (wembley_get_field('page_subtitle')) { ?>
						<p><?php echo esc_attr(wembley_get_field('page_subtitle')); ?></p>
						<?php } ?>
				</div>
			</div>